{
  "name": "vue_ts",
  "private": true,
  "version": "0.0.0",
  "scripts": {
    "dev": "vite --force",
    "build": "vue-tsc --noEmit && vite build",
    "preview": "vite preview",
    "prepare": "husky install",
    "lint-staged:js": "eslint --ext .js,.jsx,.ts,.tsx,.vue",
    "commit": "commit",
    "bp": "pnpm build && node deploy.mjs"
  },

  "lint-staged": {
    "**/*.{js,jsx,tsx,ts,less,md,json,vue}": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "axios": "^1.7.2",
    "element-plus": "^2.7.5",
    "node-ssh": "^13.2.0",
    "sass": "^1.77.5",
    "unplugin-auto-import": "0.16.1",
    "unplugin-vue-components": "0.20.1",
    "vue": "^3.2.25"
  },
  "devDependencies": {
    "@commitlint/cli": "^16.2.1",
    "@commitlint/config-angular": "^16.2.1",
    "@commitlint/config-conventional": "^16.2.1",
    "@commitlint/format": "^16.2.1",
    "@commitlint/prompt-cli": "^16.2.1",
    "@typescript-eslint/eslint-plugin": "^5.13.0",
    "@typescript-eslint/parser": "^5.13.0",
    "@vitejs/plugin-vue": "^2.2.0",
    "conventional-changelog-atom": "^2.0.8",
    "eslint": "^8.10.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-vue": "^8.5.0",
    "husky": "^7.0.4",
    "less": "^4.1.2",
    "lint-staged": "^12.3.5",
    "prettier": "^2.5.1",
    "typescript": "^4.5.4",
    "vite": "^2.8.0",
    "vite-plugin-eslint": "^1.3.0",
    "vue-tsc": "^0.29.8"
  }
}
